Bug 63659 - Nautilus doesn't take mouse-focus
Summary: Nautilus doesn't take mouse-focus
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: nautilus   
(Show other bugs)
Version: skipjack-beta2
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-17 00:08 UTC by Jon
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-17 01:35:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jon 2002-04-17 00:08:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
I use mouse-focus (focuses window on mouse enter/exit) in Sawfish, the default
WM in Skipjack.  When I use Nautilus, if I exit the window with my mouse,
Nautilus loses focus, as expected, but if I re-enter the window, it does not
re-gain focus.  I am unable to perform any keyboard operations unless I click on
Nautilus in the tasklist to restore focus.  

Version-Release number of selected component (if applicable):
nautilus-1.0.6-12, the version of nautilus that resides on a Skipjack beta2
system after all updates have been applied.

How reproducible:
Always

Steps to Reproduce:
1. GNOME->Programs->Settings->Sawfish Wi..->Focus Behavior, choose "enter-exit"
2. Open Nautilus.  
3. Move your mouse so that Nautilus loses focus, or if you chose not to focus
new windows automatically, skip to step 3.  
4. Move your mouse to give Nautilus focus again - it doesn't work.  

Actual Results:  Nautilus cannot be influenced by keyboard input until you click
on it in the tasklist.  

Expected Results:  Nautilus should receive focus and take keyboard input, just
like every other application.  

Additional info:  None

Comment 1 Havoc Pennington 2002-07-05 22:01:03 UTC
Resolved in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.